<ion-content>
  <h3 class="title" *ngIf="(cartItems$|async).length">{{(cartItems$|async).length}} towards at cart</h3>

  <!-- CART ITEMS -->
  <ion-list lines="none">
    <ion-item-sliding *ngFor="let item of cartItems$|async">
      <ion-item>
        <app-cart-item [item]="item" (increase)="onIncrease(item)" (decrease)="onDecrease(item)"></app-cart-item>
      </ion-item>
      <ion-item-options side='end'>
        <ion-item-option (click)="removeFromCart(item)">
          <ion-icon name='trash-outline' size='large' color='danger'></ion-icon>
        </ion-item-option>
      </ion-item-options>
    </ion-item-sliding>
  </ion-list>

  <!-- EMPTY CART -->
  <div class="empty-cart" *ngIf="!(cartItems$|async).length">
    <ion-icon name="d-cart"></ion-icon>
    <p>Your cart is empty</p>
  </div>

  <!-- CHECKOUT BUTTON -->
  <app-button *ngIf="(cartItems$|async).length">
    Total: <span><sup>PHP</sup>{{totalAmount$|async|number:'1.2'}}</span>
  </app-button>
</ion-content>